> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Workspaces

> This endpoint is used to retrieve all workspaces created by the authenticated user.



## OpenAPI

````yaml GET /transcribe/workspace
openapi: 3.1.0
info:
  title: Pawa AI APIs
  description: >-
    API endpoints in Pawa Platform to perform CRUD operations on different
    features using Pawa AI, a digital assistant built for Africa for various
    tasks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pawa-ai.com/v1
    description: Production Server
security:
  - bearerAuth: []
paths:
  /transcribe/workspace:
    get:
      tags:
        - Transcribe
      summary: Get all workspaces
      description: >-
        This endpoint is used to retrieve all workspaces created by the
        authenticated user.
      parameters:
        - name: search
          required: false
          in: query
          description: Search workspace by name
          schema:
            type: string
            example: My Workspace
        - name: page
          required: false
          in: query
          description: Page number (starts from 1)
          schema:
            type: number
            example: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            type: number
            example: 10
        - name: sortOrder
          required: false
          in: query
          description: Sort order
          schema:
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          description: Workspaces fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                badRequest:
                  value:
                    success: false
                    message: Invalid input provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    success: false
                    message: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  value:
                    success: false
                    message: You do not have permission to access this resource
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  value:
                    success: false
                    message: Resource does not exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                tooManyRequests:
                  value:
                    success: false
                    message: Rate limit exceeded. Please try again later.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    success: false
                    message: Internal server error
components:
  schemas:
    WorkspaceListResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Workspaces fetched successfully
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceDto'
      required:
        - success
        - message
        - data
    ErrorResponse:
      required:
        - success
        - message
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
    WorkspaceDto:
      type: object
      properties:
        id:
          type: number
          example: 5
        name:
          type: string
          example: My Workspace
        createdAt:
          type: string
          example: '2026-02-23T08:00:00.000Z'
        updatedAt:
          type: string
          example: '2026-02-23T08:10:00.000Z'
      required:
        - id
        - name
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````